summaryrefslogtreecommitdiff
path: root/Master
diff options
context:
space:
mode:
authorNorbert Preining <preining@logic.at>2007-06-20 05:24:23 +0000
committerNorbert Preining <preining@logic.at>2007-06-20 05:24:23 +0000
commit63f4b6409e0e2328da95fbfb050cf960792348a5 (patch)
treec99191323e7c94d38296d5f3ffc298dce4fead08 /Master
parent123ddd6168d7d9b2c504f1dc26bd5966e21c2db0 (diff)
tlpdb in the tlpdbcheck
git-svn-id: svn://tug.org/texlive/trunk@4475 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master')
-rwxr-xr-xMaster/tlpkg/bin/tlpdbcheck19
1 files changed, 10 insertions, 9 deletions
diff --git a/Master/tlpkg/bin/tlpdbcheck b/Master/tlpkg/bin/tlpdbcheck
index 64a6c290b57..bbc5b4bc814 100755
--- a/Master/tlpkg/bin/tlpdbcheck
+++ b/Master/tlpkg/bin/tlpdbcheck
@@ -4,29 +4,30 @@
# This file is licensed under the GNU General Public Licence version 2
# or any later version.
#
-# Check that tldb contains all the files in the trees, exactly once.
+# Check that tlpdb contains all the files in the trees, exactly once.
cd `dirname $0`/../.. || exit 1
-if test ! -s texlive.tldb; then
- echo "$0: no (nonempty) texlive.tldb in $0, goodbye." >&2
+if test ! -s texlive.tlpdb; then
+ echo "$0: no (nonempty) texlive.tlpdb in $0, goodbye." >&2
exit 1
fi
: ${TMPDIR=/tmp}
-trap "rm -f $TMPDIR/tldb*" 0 1 2 15
+trap "rm -f $TMPDIR/tlpdb*" 0 1 2 15
# Get list of files.
-tldbfiles=$TMPDIR/tldbfiles.$$
-grep '^ ' texlive.tldb | sort >$tldbfiles
+tlpdbfiles=$TMPDIR/tlpdbfiles.$$
+grep '^ ' texlive.tlpdb | sort >$tlpdbfiles
echo "$0: checking duplicates..."
# GNU uniq makes it simple.
-uniq --repeated $tldbfiles
+uniq --repeated $tlpdbfiles
echo "$0: checking coverage...(long)"
dirs=bin
-diskfiles=$TMPDIR/tldbdisk.$$
+diskfiles=$TMPDIR/tlpdbdisk.$$
find $dirs -name .svn -prune -o \( \( -type f -o -type l \) -print \) | sed 's/^/ /' | sort | tee /tmp/x >$diskfiles
-comm -3 $tldbfiles $diskfiles
+comm -3 $tlpdbfiles $diskfiles
+